### Function

# GLib spawn_command_line_async

#### Declaration [src]

    gboolean
    g_spawn_command_line_async (
      const gchar* command_line,
      GError** error
    )

#### Description [src]

A simple version of `g_spawn_async()` that parses a command line with `g_shell_parse_argv()` and passes it to g_spawn_async().

Runs a command line in the background. Unlike g_spawn_async(), the `G_SPAWN_SEARCH_PATH` flag is enabled, other flags are not. Note that `G_SPAWN_SEARCH_PATH` can have security implications, so consider using `g_spawn_async()` directly if appropriate. Possible errors are those from `g_shell_parse_argv()` and g_spawn_async().

The same concerns on Windows apply as for g_spawn_command_line_sync().

#### Parameters

`command_line`

  Type: `const gchar*`

  A command line.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if error is set.